<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=\, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>Fetch JSON from API and map lat lon</title>
  </head>
  <body>
    <h1>Where is the ISS?</h1>

    <p>
        latitude: <span id="lat"></span><br />
        longitude: <span id="lon"></span>°
    </p>

    <script>
        const api_url = 'https://api.wheretheiss.at/v1/satellites/25544';
        async function getISS() {
            const response = await fetch(api_url);
            const data = await response.json();
            const {latitude, longitude} = data;

            document.getElementById('lat').textContent = latitude.toFixed(2);
            document.getElementById('lon').textContent = longitude.toFixed(2)
        }

        getISS();
    </script>
  </body>
</html>